repo/gentoo:master commit in: dev-python/whenever/
MichaŠGórny <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786169232.94ddd47e0caec49b58ddd45a77d7386359cb5272.mgorny@gentoo> |
commit: 94ddd47e0caec49b58ddd45a77d7386359cb5272
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 8 05:24:07 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug 8 06:07:12 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=94ddd47e
dev-python/whenever: Bump to 0.10.5
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/whenever/Manifest | 2 +
dev-python/whenever/whenever-0.10.5.ebuild | 153 +++++++++++++++++++++++++++++
2 files changed, 155 insertions(+)
diff --git a/dev-python/whenever/Manifest b/dev-python/whenever/Manifest
index cecf231c13a2..250af4cca3cd 100644
--- a/dev-python/whenever/Manifest
+++ b/dev-python/whenever/Manifest
@@ -73,6 +73,8 @@ DIST wasm-bindgen-shared-0.2.126.crate 11287 BLAKE2B 054b0f2632193fb2a62549897f2
DIST web-sys-0.3.103.crate 675560 BLAKE2B 3518e3ea0d808786c1cc5970adae650dfe2953586afb56089e7fddef67f70028cf729a0fca8afd4c3dd6061df4122b4cf49188b65e5f30ea001bd9a2160a249d SHA512 8413b25228ee21fded9f805233dc4a88a448a39507baf899372c993703eb9d221882d42f9084c77d1b3d0dfce22ffc10b4d75574eedc7ae3fc59fe9440abe0e5
DIST whenever-0.10.4.tar.gz 437448 BLAKE2B 7909a6d3ab30ad863adc9a1d8405f4624bf0e6b2c37dfbeee044fa650887f3c2ed021fb6b47b4869b86e2ae5f0aa259ef7bd32729ee5e5cc6e1ee8436d861401 SHA512 29edba0509574237cb3c33c4c7a59715ac9bfd136cc5123aba40fa478bcd680e9f5d6cadcfacf2bd5ec52d052741c09a9c01f7e299a004daf9d26202656800b8
DIST whenever-0.10.4.tar.gz.provenance 9832 BLAKE2B cc700b28b189ccee0128358af30749a1926430079ba113e1a3ec55f6debf202e2862d7d2f2cc0f5e40a9014c33e1a6e47aeb0bf0dbaba1d93fa60266ea2df661 SHA512 998f9b5771f205bf9c3deda9a8fcf3fa6c457e63e78b2a860419b58e14ff6170710b31a50c201182fa529f156de69cf67e879a231057e0b4e64b4682900a9d65
+DIST whenever-0.10.5.tar.gz 437531 BLAKE2B 143d66d6339d9543292455c80786288af41419b84aaca689aa6b6fdd2bb194d68327bfabfcd8bab51acbcf5a719ad2270662d8292eae2849b9e98f60327f7096 SHA512 f420f2252fae3a94566dcfe8d59475ae388a454d57ba98b06d453725f8d76a763c77b27b210ce2e25b739376b00b8b1b38644ddf19404116a5cc236d7f349f3a
+DIST whenever-0.10.5.tar.gz.provenance 9640 BLAKE2B 5df912098ecf980d6ed6e4db03eb9a9a8969dd30e9c8aa54519182f06168bfcc0195a3e1a038ae821196a3b8b72aec58d33a1075cee9151fe2048101ed1d49a8 SHA512 65ad96cfd805c2192887a772ec1e9dca39c01449850e087fd2f0a649cc537667d71934bcc85b8025eabdc286f0285b96997a981c7cbb6ab12ea783e4de093090
DIST winapi-0.3.9.crate 1200382 BLAKE2B cb5799749ccd935ea2d7068d953cecf19f543d9db7dc16ad4584bb7005373ada34937a3ced7225544d8bc765da599911c7a3190efefb3a25b7c1bb7123b4f673 SHA512 ff8b7b78065f3d8999ec03c725a0460ebc059771bf071c7a3df3f0ecd733edf3b0a2450024d4e24e1aedddaecd9038ce1376c0d8bbf45132068cf45cf4a53a97
DIST winapi-i686-pc-windows-gnu-0.4.0.crate 2918815 BLAKE2B 4d357e4d30f9552972170d65b9a5358b69c46a3e772fe05efc22f3d4ffc1caeeaad7aacdc7abd503a7ad0545f8bd7d22bf351dcb6df76f812fa4d45c34d65df0 SHA512 a672ccefd0730a8166fef1d4e39f9034d9ae426a3f5e28d1f4169fa5c5790767693f281d890e7804773b34acdb0ae1febac33cde8c50c0044a5a6152c7209ec2
DIST winapi-util-0.1.11.crate 13368 BLAKE2B 164f49c84952ece6e566a9a23f32ddf34e16f3930ff531f8d7527bcc18768c9a118cbee748ae6a753a172b4ce8d0f22108142382992b2918b442387ee5904545 SHA512 cc1511c004c2a81da4d7a0414973f09ab711033fbbadfd597f56df2cc6c99b3c1822f0b8de1952e78400a88462b9050acd85d2e4b36db72254049a2d6f725a01
diff --git a/dev-python/whenever/whenever-0.10.5.ebuild b/dev-python/whenever/whenever-0.10.5.ebuild
new file mode 100644
index 000000000000..509175349126
--- /dev/null
+++ b/dev-python/whenever/whenever-0.10.5.ebuild
@@ -0,0 +1,153 @@
+# Copyright 2025-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=standalone
+PYPI_VERIFY_REPO=https://github.com/ariebovenberg/whenever
+PYTHON_COMPAT=( python3_{12..15} )
+
+CARGO_OPTIONAL=1
+RUST_MIN_VER="1.93.0"
+CRATES="
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]+wasi-0.2.12
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+"
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="Modern datetime library for Python"
+HOMEPAGE="
+ https://github.com/ariebovenberg/whenever/
+ https://pypi.org/project/whenever/
+"
+SRC_URI+="
+ native-extensions? (
+ ${CARGO_CRATE_URIS}
+ )
+"
+
+LICENSE="MIT"
+# Dependent crate licenses
+LICENSE+=" Apache-2.0 Apache-2.0-with-LLVM-exceptions MIT Unicode-3.0"
+SLOT="0"
+if [[ ${PV} != *_[ab]* ]]; then
+ KEYWORDS="~amd64"
+fi
+IUSE="+native-extensions"
+
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ native-extensions? (
+ ${RUST_DEPEND}
+ dev-python/setuptools-rust[${PYTHON_USEDEP}]
+ )
+ test? (
+ dev-python/time-machine[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_PLUGINS=( hypothesis pytest-order )
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=( benchmarks )
+
+QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/whenever/_whenever.*.so"
+
+src_unpack() {
+ pypi_src_unpack
+ cargo_src_unpack
+}
+
+src_configure() {
+ if ! use native-extensions; then
+ export WHENEVER_NO_BUILD_RUST_EXT=1
+ fi
+}
+
+python_test() {
+ rm -rf whenever || die
+ epytest
+}